► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Init Libraries
14 | Platform Dependencies
| Index

▼ | 3 | Windowing Classes

3.1 | area<%>
3.2 | area-container<%>
3.3 | area-container-window<%>
3.4 | button%
3.5 | canvas<%>
3.6 | canvas%
3.7 | check-box%
3.8 | checkable-menu-item%
3.9 | choice%
3.10 | clipboard-client%
3.11 | clipboard<%>
3.12 | combo-field%
3.13 | control<%>
3.14 | column-control-event%
3.15 | control-event%
3.16 | cursor%
3.17 | dialog%
3.18 | event%
3.19 | frame%
3.20 | gauge%
3.21 | group-box-panel%
3.22 | grow-box-spacer-pane%
3.23 | horizontal-pane%
3.24 | horizontal-panel%
3.25 | key-event%
3.26 | labelled-menu-item<%>
3.27 | list-box%
3.28 | list-control<%>
3.29 | menu%
3.30 | menu-bar%
3.31 | menu-item<%>
3.32 | menu-item%
3.33 | menu-item-container<%>
3.34 | message%
3.35 | mouse-event%
3.36 | pane%
3.37 | panel%
3.38 | popup-menu%
3.39 | printer-dc%
3.40 | radio-box%
3.41 | selectable-menu-item<%>
3.42 | separator-menu-item%
3.43 | scroll-event%
3.44 | slider%
3.45 | subarea<%>
3.46 | subwindow<%>
3.47 | tab-panel%
3.48 | text-field%
3.49 | timer%
3.50 | top-level-window<%>
3.51 | vertical-pane%
3.52 | vertical-panel%
3.53 | window<%>

On this page:

new
get-direction
get-event-type
get-position
set-direction
set-event-type
set-position

Inherited methods:
from event%
get-time-stamp
set-time-stamp

top ← prev up next →

> class

> scroll-event% : class?

superclass: event%

A scroll-event% object contains information about a scroll event. An instance of scroll-event% is always provided to on-scroll.

See get-event-type for a list of the scroll event types.

> > constructor

> > (new scroll-event% |
> > | [ | [event-type event-type] |
> > |  | [direction direction] |
> > |  | [position position] |
> > |  | [time-stamp time-stamp]]) |

> → (is-a?/c scroll-event%)

> event-type

> :

> (or/c 'top 'bottom 'line-up 'line-down
> 'page-up 'page-down 'thumb)

> =

> 'thumb

> direction : (or/c 'horizontal 'vertical) = 'vertical
> position : dimension-integer? = 0
> time-stamp : exact-integer? = 0

See the corresponding get- and set- methods for information about event-type, direction, position, and time-stamp.

> > method

> > (send a-scroll-event get-direction)

> → (or/c 'horizontal 'vertical)

Gets the identity of the scrollbar that was modified by the event, either the horizontal scrollbar or the vertical scrollbar, as 'horizontal or 'vertical, respectively. See also set-direction.

> > method

> > (send a-scroll-event get-event-type)

> →

> (or/c 'top 'bottom 'line-up 'line-down
> 'page-up 'page-down 'thumb)

Returns the type of the event, one of the following:

- 'top — user clicked a scroll-to-top button

- 'bottom — user clicked a scroll-to-bottom button

- 'line-up — user clicked an arrow to scroll up or left one step

- 'line-down — user clicked an arrow to scroll down or right one step

- 'page-up — user clicked an arrow to scroll up or left one page

- 'page-down — user clicked an arrow to scroll down or right one page

- 'thumb — user dragged the scroll position indicator

> > method

> > (send a-scroll-event get-position) → dimension-integer?

Returns the position of the scrollbar after the action triggering the event. See also set-position.

> > method

> > (send a-scroll-event set-direction direction) → void?

> direction : (or/c 'horizontal 'vertical)

Sets the identity of the scrollbar that was modified by the event, either the horizontal scrollbar or the vertical scrollbar, as 'horizontal or 'vertical, respectively. See also get-direction.

> > method

> > (send a-scroll-event set-event-type type) → void?

> type

> :

> (or/c 'top 'bottom 'line-up 'line-down
> 'page-up 'page-down 'thumb)

Sets the type of the event. See get-event-type for information about each event type.

> > method

> > (send a-scroll-event set-position position) → void?

> position : dimension-integer?

Records the position of the scrollbar after the action triggering the event. (The scrollbar itself is unaffected). See also get-position.
top ← prev up next →